<div class="container">
  <div class="jumbotron">
    <center>
      <h1>สรุปยอด</h1>
      <h4><%=@invoice.created_at.to_date.strftime('%d/%m/%y')%></h4>
      <h3><%= Lottery::ROUND[@invoice.try(:round)] %></h3>
      <h3><span class="label label-warning"><%= Invoice::STATUS[@invoice.try(:status)] %></span></h3>
    </center>
    <br>

    <table class="table">
      <thead>
        <tr>
          <th>ยอดจริง</th>
          <th>ยอดซื้อ</th>
          <th>ถูกรางวัล</th>
          <th>ส่วนลด</th>
          <th>สรุป</th>
          <th>สู้เสีย</th>
          <th>ผลลัพธ์</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td><%= @invoice.real_price %></td>
          <td><%= @invoice.total %></td>
          <td><%= @invoice.amount_won %></td>
          <td><%= @invoice.discount %></td>
          <td><%= @invoice.amount_total %></td>
          <td><%= @invoice.fight_paid %></td>
          <td><%= @invoice.result_amount %></td>
          <td>
            <%= link_to '#รายละเอียด', '#', id: 'invoice_description'%>
            <%= link_to '#ซ่อน', '#', id: 'invoice_description_close', class: 'hide'%>
            
          </td>
        </tr>
      </tbody>
    </table>

    <div class="invoice_bills hide">
      

      <table class="table" id="invoice_bills">
        <thead>
          <tr>
            <th>รอบ</th>
            <th>ชื่อ</th>
            <th>สถานะ</th>
            <th>ยอดซื้อ</th>
            <th>ถูกรางวัล</th>
            <th>ส่วนลด</th>
            <th>สรุป</th>
            <th>สู้เสีย</th>
            <th>ผลลัพธ์</th>
            <th></th>
          </tr>
        </thead>

        <tbody>
          <% @invoice.bills.each do |bill| %>
            <tr>
              <td><%= Lottery::ROUND[bill.try(:round)] %></td>
              <td><%= bill.try(:name) %></td>
              <td><span class="label label-<%=Bill::LABEL[bill.try(:status)]%>"><%= Bill::STATUS[bill.try(:status)]%></span></td>
              <td><%= bill.try(:total) %></td>
              <td><%= bill.try(:amount_won) %></td>
              <td><%= bill.try(:discount) %></td>
              <td><%= bill.try(:amount_total) %></td>
              <td><%= bill.fight_paid %></td>
              <td><%= bill.result_amount %></td>
              <td><%= link_to '#รายละเอียด', '#', id: "bill_description", onclick: "add_event(#{bill.id})"%></td>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
  </div>
</div>

<% @invoice.bills.each do |bill| %>
  <div class="modal fade modal_<%=bill.id%>" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
    <div class="modal-dialog modal-ld" role="document">
      <div class="modal-content">
        <table class="table">
          <thead>
            <tr>
             <th>เลข</th>
              <th></th>
              <th>ราคาจริง</th>
              <th>ราคา</th>
              <th>สถานะ</th>
              <th>รางวัล</th>
              <th>ส่วนลด</th>
              <th>สู้</th>
              <th>ราคาสู้</th>
              <th>สู้เสีย</th>
              <th>ผลลัพธ์</th>
              <th></th>
            </tr>
          </thead>

          <tbody>
            <% bill.lotteries.each do |lottery| %>
              <tr>
                <td><%= lottery.datum %></td>
                <td><%= Lottery::LOTTERYPOSITION[lottery.position]%></td>
                <td><%= lottery.real_price %></td>
                <td><%= lottery.price %></td>
                <td>

                  <% if lottery.status == 'won' %>
                    <span class="label label-success">ถูกรางวัล</span>
                  <% elsif lottery.status == 'lose' %>
                    <span class="label label-danger">ไม่ถูกรางวัล</span>
                  <% else %>
                    <span class="label label-warning">รอออกรางวัล</span>
                  <% end %>
                </td>
                <td><%= lottery.won_amount %></td>
                <td><%= lottery.discount %></td>
                <td><%= lottery.fight_percent%>%</td>
                <td><%= lottery.fight_amount %></td>
                <td><%= lottery.fight_paid %></td>
                <td><%= lottery.result_amount %></td>

              </tr>
            <% end %>
            <tr>
              <th>รวม</th>
              <td></td>
              <th><%= bill.try(:real_price) %></th>
              <th><%= bill.try(:total).present? ? bill.try(:total) : 0 %></th>
              <td></td>
              <th><%= bill.try(:amount_won) %></th>
              <th><%= bill.try(:discount) %></th>
              <td></td>
              <td></td>
              <th><%= bill.try(:fight_paid) %></th>
              <th><%= bill.try(:result_amount) %></th>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
<% end %>


<script type="text/javascript">
  $( "#invoice_description" ).click(function(event) {
    event.preventDefault();
    $(this).addClass('hide');
    $("#invoice_description_close").removeClass('hide');
    $(".invoice_bills").removeClass('hide');
  });
  $( "#invoice_description_close" ).click(function(event) {
    event.preventDefault();
    $(this).addClass('hide');;
    $("#invoice_description").removeClass('hide');
    $(".invoice_bills").addClass('hide');
  });
  // $( "#bill_description" ).click(function() {
  //   $('.modal_1').modal('show')
  // });

  // $('#bill_description').click(add_event('shot'));
  function add_event(param) {
    event.preventDefault();
    $('.modal_'+param ).modal('show')
  }
</script>